Loading...
Searching...
No Matches
hdlc_deframer_bp.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2014 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_DIGITAL_HDLC_DEFRAMER_BP_H
#define INCLUDED_DIGITAL_HDLC_DEFRAMER_BP_H
#include <gnuradio/digital/api.h>
#include <gnuradio/sync_block.h>
namespace gr {
namespace digital {
/*!
* \brief HDLC deframer which takes in unpacked bits, and outputs PDU
* binary blobs. Frames which do not pass CRC are rejected.
*
* \ingroup pkt_operators_blk
*
*/
class DIGITAL_API hdlc_deframer_bp : virtual public gr::sync_block
{
public:
typedef std::shared_ptr<hdlc_deframer_bp> sptr;
/*!
* \brief Return a shared_ptr to a new instance of digital::hdlc_deframer.
*
* \param length_min: Minimum frame size (default: 32)
* \param length_max: Maximum frame size (default: 500)
*/
static sptr make(int length_min, int length_max);
};
} // namespace digital
} // namespace gr
#endif /* INCLUDED_DIGITAL_HDLC_DEFRAMER_BP_H */
gr::digital::hdlc_deframer_bp
HDLC deframer which takes in unpacked bits, and outputs PDU binary blobs. Frames which do not pass CR...
Definition hdlc_deframer_bp.h:28
gr::digital::hdlc_deframer_bp::sptr
std::shared_ptr< hdlc_deframer_bp > sptr
Definition hdlc_deframer_bp.h:30
gr::digital::hdlc_deframer_bp::make
static sptr make(int length_min, int length_max)
Return a shared_ptr to a new instance of digital::hdlc_deframer.
gr::sync_block
synchronous 1:1 input to output with history
Definition sync_block.h:26
api.h
DIGITAL_API
#define DIGITAL_API
Definition gr-digital/include/gnuradio/digital/api.h:18
gr::digital
Definition adaptive_algorithm.h:22
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h